Subject: bug#27581: 26.0.50; Error while compiling new Org code

From: Stefan Kangas <[email-masked]>
Date: Mon, 10 Aug 2020 10:09:36 -0700

Stefan Monnier <[email-masked]> writes:

>> I think I hit this, and doing 'make autoloads' fixed it.
>
> Duh, indeed, so the `declare-function` should be removed.
> Remains my question about the use of eval-after-load.

Stefan Monnier <[email-masked]> writes:

> So it's triggered during the evaluation of org-compat.el's after-load:
>
>     (eval-after-load 'org
>       '(progn
>          (org-link-set-parameters "file+emacs") ;since Org 9.0
>          (org-link-set-parameters "file+sys"))) ;since Org 9.0
>
> There's a (declare-function org-element-update-syntax ...) in org.el but
> it looks like org-element is not loaded in this case.
>
> Not sure which is the right fix, but I do wonder why have this
> eval-after-load in org-compat.el instead of simply moving the code to
> org.el: eval-after-load is normally only used when we need to add code
> to a file that's not under our control.

I can't find that eval-after-load in org-compat.el, so I guess this has
been fixed in the three years since this was reported.

I guess this should be closed then?

Best regards,
Stefan Kangas